Callbacks (GWT Maven Archetype 1.5.0-SNAPSHOT API)
Date: 2014-06-02

org.gcube.messaging.accounting.nodeaccountingportlet.client

## Class Callbacks

- java.lang.Object
- - org.gcube.messaging.accounting.nodeaccountingportlet.client.Callbacks

-     public class Callbacks
      extends Object

  Author:
    Andrea Manzi (CERN)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static com.google.gwt.user.client.rpc.AsyncCallback<String>` | `exportCallback`
    `static com.google.gwt.user.client.rpc.AsyncCallback<String>` | `getStatisticsCallback`
    `static com.google.gwt.user.client.rpc.AsyncCallback<Map<String,ArrayList<String>>>` | `listGHNsCallback`
    `static com.google.gwt.user.client.rpc.AsyncCallback<String>` | `listRecordsCallback`
    `static com.google.gwt.user.client.rpc.AsyncCallback<Map<String,ArrayList<String>>>` | `listServicesCallback`
    `static com.google.gwt.user.client.rpc.AsyncCallback<ArrayList<ArrayList<String>>>` | `setScopes`
    `static com.google.gwt.user.client.rpc.AsyncCallback<String>` | `setStartDateCallback`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Callbacks()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### listRecordsCallback

          public static com.google.gwt.user.client.rpc.AsyncCallback<String> listRecordsCallback

    - #### getStatisticsCallback

          public static com.google.gwt.user.client.rpc.AsyncCallback<String> getStatisticsCallback

    - #### listGHNsCallback

          public static com.google.gwt.user.client.rpc.AsyncCallback<Map<String,ArrayList<String>>> listGHNsCallback

    - #### listServicesCallback

          public static com.google.gwt.user.client.rpc.AsyncCallback<Map<String,ArrayList<String>>> listServicesCallback

    - #### exportCallback

          public static com.google.gwt.user.client.rpc.AsyncCallback<String> exportCallback

    - #### setStartDateCallback

          public static com.google.gwt.user.client.rpc.AsyncCallback<String> setStartDateCallback

    - #### setScopes

          public static com.google.gwt.user.client.rpc.AsyncCallback<ArrayList<ArrayList<String>>> setScopes

  - ### Constructor Detail

    - #### Callbacks

          public Callbacks()

Copyright © 2014. All Rights Reserved.